## org.omg.PortableServer.POAManagerPackage
Class StateHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.POAManagerPackage.StateHelper

public class StateHelper
extends java.lang.Object

Helper class for : State

Author:
  OpenORB Compiler

Constructor Summary
`StateHelper()`

Method Summary
`static State` `extract(Any a)` Extract State from an any
`static java.lang.String` `id()` Return the State IDL ID
`static void` `insert(Any a, State t)` Insert State into an any
`static State` `read(InputStream istream)` Read State from a marshalled stream
`static TypeCode` `type()` Return the State TypeCode
`static void` `write(OutputStream ostream, State value)` Write State into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateHelper

    public StateHelper()

Method Detail

### insert

    public static void insert(Any a,
                              State t)

  Insert State into an any
  Parameters:
    `a` - an any
    `t` - State value

### extract

    public static State extract(Any a)

  Extract State from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted State value

### type

    public static TypeCode type()

  Return the State TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the State IDL ID
  Returns:
    an ID

### read

    public static State read(InputStream istream)

  Read State from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed State value

### write

    public static void write(OutputStream ostream,
                             State value)

  Write State into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - State value